お使いのサーバーの PHP では WordPress に必要な MySQL 拡張を利用できないようです。

Raspbian Stretch に WordPress をインストール
Raspberry Pi Stretch では

PHP5 は PHP7 へ
MySQL は MariaDB に変わった
 
Raspbian Stretch + Nginx +PHP7.0 +MariaDB の環境に WordPress4.8 を新規インストールし、【 WordPress 】を立ち上げようとすると、『お使いのサーバーの PHP では WordPress に必要な MySQL 拡張を利用できないようです。』のメッセージが出て動かない。

スポンサー リンク

原因:
php-mysql の導入モレ
 
追加導入で解決。
sudo apt-get install php-mysql
 
MariaDB-Serverのインストール時点で、モレた。
従来ならば、
sudo apt-get install mysql-server php5-mysql
今回は、
sudo apt-get install mariadb-server
のみになっていた。
 
参考:
 
 

以上。
(2017.09.18)

 

 

スポンサー リンク

 

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です